Status: Closed Start date: 2008-04-10

Priority: Low Due date:  

Assignee:  % Done: 100%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version: 0.7   

Resolution: Fixed   

Description

When using LDAP on-the-fly user creation, if username and password provided are correct but any required field (First Name, Last

Name, E-mail) could not be fetched from server, Redmine returns a unhelpful error message:

"Invalid user or password"

A better informative message could be:

"Redmine could not retrieve enough information from LDAP server to enable your account. Please, contact your network

administrator."

I lost one hour because some accounts were without e-mail address on my LDAP server. :)

Please also add a warning about this into Wiki (http://www.redmine.org/wiki/redmine/RedmineLDAP).

I tried, but it is read-only.

Associated revisions

Revision 1345 - 2008-04-13 11:12 - Jean-Philippe Lang

Better error message and AR errors in log for failed LDAP on-the-fly user creation (closes #932, #1042).

History

#1 - 2008-04-12 19:39 - Jean-Philippe Lang

I agree with you, the error message is not very helpfull. I'll try to change it.

I've added some information about that in the wiki.

#2 - 2008-04-13 11:17 - Jean-Philippe Lang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1345.

#3 - 2008-04-13 11:17 - Jean-Philippe Lang

- Target version set to 0.7

- Resolution set to Fixed

Powered by TCPDF (www.tcpdf.org)

2025-05-17 1/1

http://www.redmine.org/wiki/redmine/RedmineLDAP
https://www.redmine.org/projects/redmine/repository/svn/revisions/1345
http://www.tcpdf.org

